<button [type]="mbType.toLowerCase()" *ngIf="mbButtonType != 'ONLY_ICON'" nz-button [disabled]="mbIsDisable" [class]="ref.children.length ? mbButtonClass + ' button__class--content' : mbButtonClass + ' abc'" [style]="mbStyle" [nzLoading]="mbButtonIsLoading">
  <em *ngIf="mbPrefixIcon != null && mbButtonIconType == 'ZORRO'" class="prefix__icon" nz-icon [nzType]="mbPrefixIcon" nzTheme="outline"></em>
  <em *ngIf="mbPrefixIcon != null && mbButtonIconType == 'AWESOME'" class="prefix__icon + {{' '}} + {{mbPrefixIcon}}" ></em>
  {{mbButtonText}}
  <div *ngIf="mbButtonShowVerticalDash" class="button__class--dash-vertical" [style]="styleDash"></div>
  <em *ngIf="mbSuffixIcon != null && mbButtonIconType == 'ZORRO'" class="suffix__icon" nz-icon [nzType]="mbSuffixIcon" nzTheme="outline"></em>
  <em *ngIf="mbSuffixIcon != null && mbButtonIconType == 'AWESOME'" class="prefix__icon + {{' '}} + {{mbSuffixIcon}}" ></em>
  <div #ref class='mb__button--content'>
    <ng-content></ng-content>
  </div>
</button>

<span *ngIf="mbButtonType == 'ONLY_ICON'" class="button__class button__class--only-icon">
  <em *ngIf="mbPrefixIcon != null && mbButtonIconType == 'ZORRO'" class="prefix__icon" nz-icon [nzType]="mbPrefixIcon" nzTheme="outline"></em>
  <em *ngIf="mbPrefixIcon != null && mbButtonIconType == 'AWESOME'" class="prefix__icon + {{' '}} + {{mbPrefixIcon}}" ></em>
  <em *ngIf="mbSuffixIcon != null && mbButtonIconType == 'ZORRO'" class="suffix__icon" nz-icon [nzType]="mbSuffixIcon" nzTheme="outline"></em>
  <em *ngIf="mbSuffixIcon != null && mbButtonIconType == 'AWESOME'" class="prefix__icon + {{' '}} + {{mbSuffixIcon}}" ></em>
</span>
